﻿import sys
import xbmcaddon
import xbmcgui
import xbmcplugin
import urllib
import urllib2
import urlparse
import json

base_url = sys.argv[0]
addon_handle = int(sys.argv[1])
args = urlparse.parse_qs(sys.argv[2][1:])

xbmcplugin.setContent(addon_handle, 'movies')

def build_url(query):
    return base_url + '?' + urllib.urlencode(query)

debug = xbmcaddon.Addon().getSetting('debug') == 'true'
if debug:
	baseurl = 'http://dev-flommy.dsek.lth.se/navigation/dtube/'
else:
	baseurl =  'http://www.dsek.se/navigation/dtube/'
url = baseurl + 'api.php?key=flommy&'

action = args.get('action', None)
if not action is None:
	url += 'action='+args['action'][0];
	

str = urllib2.urlopen(url).read().decode("utf-8")
data = json.loads(str)
fanart = baseurl + 'fanart.jpg'

for dir in data['dirs']:
	url = build_url({'action':dir['action']})
	title = dir['name']
	iconurl = dir.get('img','DefaultFolder.png')
	li = xbmcgui.ListItem(title, iconImage=iconurl)
	li.setProperty('fanart_image',fanart);
	xbmcplugin.addDirectoryItem(handle=addon_handle, url=url, listitem=li, isFolder=True)

for file in data['files']:
	url = file['url']
	title = file['name']
	iconurl = file.get('img','DefaultFile.png')
	li = xbmcgui.ListItem(title, iconImage=iconurl)
	li.setProperty('fanart_image',fanart);
	xbmcplugin.addDirectoryItem(handle=addon_handle, url=url, listitem=li)

xbmcplugin.endOfDirectory(addon_handle)